Bug 19522 - Operation on floppy VFS does not work
Operation on floppy VFS does not work
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-21 15:31 EDT by pliszka
Modified: 2013-04-02 00:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-04 16:28:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pliszka 2000-10-21 15:31:12 EDT
Hi!

I found that operations on floppy VFS does not work.
You could verify it with:<PRE>
cd #a
</PRE>
This is the patch I wrote for /usr/lib/mc/extfs/a:<PRE>
4a5
> # Fixed for newer mc version Jacek Pliszka <pliszka@fuw.edu.pl>, 2000
10a12
> $mdel = "mdel";
11a14,15
> $mkdir = "mmd";
> $rmdir = "mrd";
73c77,78
<     system "$mcopy $disk:/$filename $dest >& /dev/null";
---
>     system "$mcopy $disk:/$filename $dest$filename >& /dev/null";
>     rename "$dest$filename",$dest;
83a89,110
> sub a_rm
> {
>   my($archname,$filename) = @_;
>   system "$mdel $disk:/$filename >& /dev/null";
> }
> 
> sub a_mkdir
> {
>   my($archname,$filename) = @_;
>   system "$mkdir $disk:/$filename >& /dev/null";
> }
> 
> sub a_rmdir
> {
>   my($archname,$filename) = @_;
>   system "$rmdir $disk:/$filename >& /dev/null";
> }
> 
> 
> 
> #open(DEBUG,">/tmp/aaaaa");
> 
86a114,118
> elsif($ARGV[0] eq "rm") { shift; &a_rm(@ARGV); exit 0; }
> elsif($ARGV[0] eq "mkdir") { shift; &a_mkdir(@ARGV); exit 0; }
> elsif($ARGV[0] eq "rmdir") { shift; &a_rmdir(@ARGV); exit 0; }
> 
> #close(DEBUG);
</PRE>
Comment 1 pliszka 2000-11-04 16:28:29 EST
Hi!

The version I submitted had a samll bug in copyout routine. It did not work
with subdirectories. This is a fix:

sub a_copyout
{
    my($archname,$filename,$dest) = @_;
    local($tmpfilename) = "$filename";
    $tmpfilename =~ s|a|aa|g;
    $tmpfilename =~ s|/|a|g;
    $tmpfilename = "$dest$tmpfilename";
    system "$mcopy $disk:/$filename $tmpfilename >& /dev/null";
    rename "$tmpfilename",$dest;
}

Jacek

Note You need to log in before you can comment on or make changes to this bug.